+ Reply to Thread
Results 1 to 5 of 5
  1. #1
    Forum Newbie
    Using
    not applicable
    Join Date
    Feb 2015
    Posts
    2

    Default How to Getvar from List Command Autolisp..?

    Registered forum members do not see this ad.

    Hi All,

    How to getvar from "list" command..?

    When we type list, select a line then it will print the results like (length, from point, to point etc..) in a textscr..

    when i tried to getvar "length", it is returning nill.

    can any one help me in doing this...

  2. #2
    Senior Member jonathann3891's Avatar
    Computer Details
    jonathann3891's Computer Details
    Operating System:
    Window 7 64 Bit
    Discipline
    Structural
    jonathann3891's Discipline Details
    Occupation
    Oil & Gas
    Discipline
    Structural
    Using
    AutoCAD 2012
    Join Date
    Dec 2008
    Location
    Houston, TX
    Posts
    126

    Default

    getvar only gets autocad variables.

  3. #3
    Forum Newbie
    Using
    not applicable
    Join Date
    Feb 2015
    Posts
    2

    Default

    Hai jonathann3891,

    Thanks for your reply,

    I am using getvar "area" to get the "area" value, using area the area value is printing on the command line..

    The problem that iam getting in "List" is, here the value is printing on "textscr"..

    If it is printing on command line, i think i can use getvar to get the printed values..

  4. #4
    Quantum Mechanic BIGAL's Avatar
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    10,709

    Default

    Some variables are saved like, lastpoint, same also with properties it will display some properties but not necessarily evey one you want.

    Use VL lisp to get properties

    Code:
    (alert (strcat "Length is " (rtos (vla-get-length (vlax-ename->vla-object (car (entsel)))) 2 3)))
    A man who never made mistakes never made anything

  5. #5
    Super Member
    Using
    AutoCAD 2012
    Join Date
    Jun 2012
    Posts
    902

    Default "Optical Illusion"

    Registered forum members do not see this ad.

    Quote Originally Posted by GopinadhGvs View Post
    Hai jonathann3891,

    Thanks for your reply,

    I am using getvar "area" to get the "area" value, using area the area value is printing on the command line..

    The problem that iam getting in "List" is, here the value is printing on "textscr"..

    If it is printing on command line, i think i can use getvar to get the printed values..
    Command line is really part of the textscreen. Though you can copy and paste from the textscreen, I don't know of a way to capture the info using AutoLISP. Note that, though the area is being printed to the textscreen, that is not where getvar is getting the value. If you gave a concrete example of what you are trying to do, you might get more specific help.
    When all you have is a hammer, everything looks like a nail.--

    “Doc, it hurts when I do this.” “Well, don’t do that!”

    “Well, if you don’t know, I’m certainly not going to tell you!”

Similar Threads

  1. How can i use the (array ) command in Autolisp ???
    By سبع الليل in forum AutoLISP, Visual LISP & DCL
    Replies: 7
    Last Post: 16th Mar 2013, 06:35 pm
  2. manipulating LIST in autolisp
    By nila_joy in forum AutoLISP, Visual LISP & DCL
    Replies: 6
    Last Post: 13th Nov 2011, 07:51 pm
  3. I forgot the command and cant find it... getvar value to string
    By Lee Roy in forum AutoLISP, Visual LISP & DCL
    Replies: 8
    Last Post: 22nd Aug 2011, 06:29 pm
  4. Autolisp to input multi list Points just one time
    By anhtuanck97 in forum AutoLISP, Visual LISP & DCL
    Replies: 5
    Last Post: 7th Feb 2010, 01:06 pm
  5. Convert vla-insertionpoint to autolisp list
    By ollie in forum AutoLISP, Visual LISP & DCL
    Replies: 8
    Last Post: 30th Jul 2009, 05:14 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts